Bric::App::Handler(3)

NAME
Bric::App::Handler - The center of the application, as far as Apache is concerned.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-08-07 22:45:13 +0200 (Mon, 07 Aug 2006) $

SYNOPSIS
  <Perl>
  use lib '/usr/local/bricolage/lib';
  </Perl>
  PerlModule Bric::App::Handler
  DocumentRoot "/usr/local/bricolage/comp"
  <Directory "/usr/local/bricolage/comp">
      Options Indexes FollowSymLinks MultiViews
      AllowOverride None
      Order allow,deny
      Allow from all
      SetHandler perl-script
      PerlAccessHandler Bric::App::AccessHandler
      PerlHandler Bric::App::Handler
      PerlCleanupHandler Bric::App::CleanupHandler
  </Directory>

DESCRIPTION
This package is the main package used by Apache for managing the Bricolage application. It loads all the necessary Mason and Bricolage libraries and sets everything up for use in Apache. It is one function is handler(), which is called by mod_perl for every request.

INTERFACE

  Constructors
NONE.

  Destructors
NONE.

  Public Class Methods
NONE.

  Public Functions

my $status = handler()
    Handles the apache request.

    Throws: None - the buck stops here!

    Side Effects: NONE.

    Notes: NONE.

$status = handle_err($r, $@)
      $status = handle_err($r, $@) if $@;

    Handles errors when they're thrown by a main handler. Logs the error to the Apache error log and formats the error screen for the browser.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

PRIVATE

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric